# Artec backend not working with AT6

Richard Verhoeven (rcb5@win.tue.nl)
Tue, 23 Jun 1998 17:48:32 +0200 (MET DST)

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Matto Marjanovic: "Re: Backend overview page"
- Previous message: Hugo van der Kooij: "Backend overview page"

Hello SANE developers,

On my configuration:

Linux version 2.0.33
gcc version 2.7.2.1
Adaptec 152x SCSI driver revision 1.18 (1505 card)
SANE version 0.73
ULTIMA AT6 scanner revision 1.01

the Artec backend does not work properly with the AT6 scanner.
find-scanner reports the scanner on /dev/sg1, /dev/scanner and /dev/sgb.
'scanimage --help -d artec:/dev/scanner' returns reasonable options:
--mode Lineart|Halftone|Gray|Color [Gray]
--resolution 12..300dpi (in steps of 1) [300]
-l 0..2550pel (in steps of 1) [0]
-t 0..3300pel (in steps of 1) [0]
-x 0..2550pel (in steps of 1) [301]
-y 0..3300pel (in steps of 1) [301]
--contrast 0..255 (in steps of 1) [128]

'scanimage -d artec:/dev/scanner > test.ppm' calibrates the scanner
(7 movements: 4 long, 3 short) and then the Linux system hangs.
Turning the scanner off and on does not help. The reset button of
the PC is needed to restart Linux.

Does anyone have suggestion on how to solve this problem?
I have some programming and debugging experience, but I'm
not familiar with SCSI or scanner drivers. I did recieve
some documentation from Artec on their A6000C Plus and AT3
models, althought I asked for AT6 documentation.

Richard Verhoeven.

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Matto Marjanovic: "Re: Backend overview page"
- Previous message: Hugo van der Kooij: "Backend overview page"